#### Description:

This function returns the centre and radius of a disc that just encloses the supplied 2-dimensional Region. The centre is returned as a pair of axis values within the Frame represented by the Region. The value of the Negated attribute is ignored (i.e. it is assumed that the Region has not been negated).

#### Synopsis

void astGetRegionDisc( AstRegion ∗this, double centre[2], double ∗radius )

#### Parameters:

##### this

Pointer to the Region.

##### centre

Pointer to a two-element array in which to return the axis values at the centre of the bounding disc.

##### radius

Pointer to a variable in which to return the radius of the bounding disc, as a geodesic distance within the Frame represented by the Region. It will be returned holding AST__BAD If the Region is unbounded.

#### Notes:

- An error is reported if the Region is not 2-dimensional.

- The value of the Negated attribute is ignored (i.e. it is assumed that the Region has not been negated).

- If the Region is unbounded, the radius will be returned set to AST__BAD and the supplied centre axis values will be returned unchanged.

Copyright (C) 2021 East Asian Observatory